Borrador Arreglo

From FreeCAD Documentation
Revision as of 16:21, 16 February 2014 by Renatorivo (talk | contribs) (Created page with "Para matrices polares: * {{PropertyData|Axis}}: La dirección normal a la circunferencia de la matriz * {{PropertyData|Center}}: El punto centro de la matriz * {{PropertyData...")

Draft_Array

Ubicación en el Menú
Boceto-> Matriz
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Ninguno

Descripción

La herramienta Matriz crea matrices ortogonalea (3 ejes) o polares a partir de los objetos seleccionados. Si no se selecciona ningún objeto, te solicitará que selecciones uno.

Utilizaación

  1. Selecciona un objeto a partir del que desees crear una matriz
  2. Presiona el botón Matriz

Opciones

  • La matriz se inicia como ortogonal por defecto, puedes cambiar su modo en las propiedades.

Propiedades

  • DatosArray Type: Especifica el tipo de matriz orto o polar

Para matrices ortogonales:

  • DatosInterval X: El intervalo entre cada copia sobre el primer eje
  • DatosInterval Y: El intervalo entre cada copia sobre el segundo eje
  • DatosInterval Z: El intervalo entre cada copia sobre el tercer eje
  • DatosNumber X: El número de copias sobre el primer eje
  • DatosNumber Y: El número de copias sobre el segundo eje
  • DatosNumber Z: El número de copias sobre el tercer eje

Para matrices polares:

  • DatosAxis: La dirección normal a la circunferencia de la matriz
  • DatosCenter: El punto centro de la matriz
  • DatosAngle: El ángulo a cubrir con las copias
  • DatosNumber Polar: El número de copias

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions.

For rectangular array:

 array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

For polar array:

 array (objectslist,center,totalangle,totalnum)
  • Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • This function produces standalone copies of the base object(s)

Or

For rectangular array:

 makeArray (object,xvector,yvector,xnum,ynum)

For polar array:

 makeArray (object,center,totalangle,totalnum)
  • Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • The result of this function is a parametric Draft Array object.

Example:

 import FreeCAD,Draft
 Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)